module.exports = {
    extends: [
        './core',

        './lib/rules/core-ecmascript-6',
        './lib/rules/promise',
        './lib/rules/babel',
        // './lib/rules/sort-class-members',
        './lib/rules/import',
    ].map(require.resolve),

    parser: 'babel-eslint',

    env: {
        es6: true,
    },

    parserOptions: {
        ecmaVersion: 2020,
        sourceType: 'module',
    },

    reportUnusedDisableDirectives: true,

    // plugins: [
    //     'sort-class-members',
    // ],

    settings: {
        'import/ignore': ['node_modules', '\\.s?css'],
    },

    rules: {},
};
