module.exports = {
    extends: [
        'prettier',
        'prettier/@typescript-eslint',
        'prettier/babel',
        'prettier/flowtype',
        'prettier/react',

        // './lib/rules/prettier',
    ],

    // plugins: ['prettier'],

    reportUnusedDisableDirectives: true,

    rules: {
        // // Special rule for 'lines-around-comment'
        // // https://github.com/prettier/eslint-config-prettier/blob/984de70e8c6b57684b444283561019389ccebd11/README.md#lines-around-comment
        // 'lines-around-comment': [
        //   'error',
        //   {
        //     beforeBlockComment: true,
        //   },
        // ],
        // // Special rule for 'no-unexpected-multiline'
        // // https://github.com/prettier/eslint-config-prettier/blob/5399175c37466747aae9d407021dffec2c169c8b/README.md#no-unexpected-multiline
        // 'no-unexpected-multiline': 'error',
    },

    // overrides: [
    //     {
    //         files: ['*.ts', '*.tsx'],
    //         extends: ['prettier/@typescript-eslint'],
    //     },
    // ],
};
