module.exports = {
    extends: [
        // Core
        './lib/rules/core-best-practices',
        './lib/rules/core-possible-errors',
        './lib/rules/core-strict-mode',
        './lib/rules/core-stylistic-issues',
        './lib/rules/core-variables',

        // Other
        './lib/rules/eslint-comments',
    ].map(require.resolve),

    parserOptions: {
        ecmaVersion: 5,
    },

    env: {
        browser: true,
    },

    reportUnusedDisableDirectives: true,

    rules: {},
};
