var fs = require('fs');
var path = require('path');
var yaml = require('js-yaml');

var importConfig = function (filename) {
    var filePath = path.resolve(__dirname, filename);
    var file = fs.readFileSync(filePath, 'utf8');

    var config = yaml.safeLoad(file);
    // var config = JSON.stringify(yaml.safeLoad(file));

    // console.log(config);

    return config;
};

module.exports = importConfig;
