module.exports = {
    extends: ['./esnext', './lib/rules/core-node', './lib/rules/node', './mocha'].map(
        require.resolve
    ),

    env: {
        node: true,
    },

    reportUnusedDisableDirectives: true,

    settings: {
        'import/resolver': 'node',
    },

    rules: {
        'require-atomic-updates': 'off',
        'babel/camelcase': 'off',
    },
};
